package com.tzld.piaoquan.growth.common.model.po;

import com.tzld.piaoquan.growth.common.utils.page.Page;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CgiReplyBucketDataExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    protected Page page;

    public CgiReplyBucketDataExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setPage(Page page) {
        this.page=page;
    }

    public Page getPage() {
        return page;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andStrategyIsNull() {
            addCriterion("strategy is null");
            return (Criteria) this;
        }

        public Criteria andStrategyIsNotNull() {
            addCriterion("strategy is not null");
            return (Criteria) this;
        }

        public Criteria andStrategyEqualTo(String value) {
            addCriterion("strategy =", value, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyNotEqualTo(String value) {
            addCriterion("strategy <>", value, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyGreaterThan(String value) {
            addCriterion("strategy >", value, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyGreaterThanOrEqualTo(String value) {
            addCriterion("strategy >=", value, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyLessThan(String value) {
            addCriterion("strategy <", value, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyLessThanOrEqualTo(String value) {
            addCriterion("strategy <=", value, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyLike(String value) {
            addCriterion("strategy like", value, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyNotLike(String value) {
            addCriterion("strategy not like", value, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyIn(List<String> values) {
            addCriterion("strategy in", values, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyNotIn(List<String> values) {
            addCriterion("strategy not in", values, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyBetween(String value1, String value2) {
            addCriterion("strategy between", value1, value2, "strategy");
            return (Criteria) this;
        }

        public Criteria andStrategyNotBetween(String value1, String value2) {
            addCriterion("strategy not between", value1, value2, "strategy");
            return (Criteria) this;
        }

        public Criteria andSortIsNull() {
            addCriterion("sort is null");
            return (Criteria) this;
        }

        public Criteria andSortIsNotNull() {
            addCriterion("sort is not null");
            return (Criteria) this;
        }

        public Criteria andSortEqualTo(Integer value) {
            addCriterion("sort =", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotEqualTo(Integer value) {
            addCriterion("sort <>", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortGreaterThan(Integer value) {
            addCriterion("sort >", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortGreaterThanOrEqualTo(Integer value) {
            addCriterion("sort >=", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortLessThan(Integer value) {
            addCriterion("sort <", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortLessThanOrEqualTo(Integer value) {
            addCriterion("sort <=", value, "sort");
            return (Criteria) this;
        }

        public Criteria andSortIn(List<Integer> values) {
            addCriterion("sort in", values, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotIn(List<Integer> values) {
            addCriterion("sort not in", values, "sort");
            return (Criteria) this;
        }

        public Criteria andSortBetween(Integer value1, Integer value2) {
            addCriterion("sort between", value1, value2, "sort");
            return (Criteria) this;
        }

        public Criteria andSortNotBetween(Integer value1, Integer value2) {
            addCriterion("sort not between", value1, value2, "sort");
            return (Criteria) this;
        }

        public Criteria andBatchIsNull() {
            addCriterion("batch is null");
            return (Criteria) this;
        }

        public Criteria andBatchIsNotNull() {
            addCriterion("batch is not null");
            return (Criteria) this;
        }

        public Criteria andBatchEqualTo(String value) {
            addCriterion("batch =", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchNotEqualTo(String value) {
            addCriterion("batch <>", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchGreaterThan(String value) {
            addCriterion("batch >", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchGreaterThanOrEqualTo(String value) {
            addCriterion("batch >=", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchLessThan(String value) {
            addCriterion("batch <", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchLessThanOrEqualTo(String value) {
            addCriterion("batch <=", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchLike(String value) {
            addCriterion("batch like", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchNotLike(String value) {
            addCriterion("batch not like", value, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchIn(List<String> values) {
            addCriterion("batch in", values, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchNotIn(List<String> values) {
            addCriterion("batch not in", values, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchBetween(String value1, String value2) {
            addCriterion("batch between", value1, value2, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchNotBetween(String value1, String value2) {
            addCriterion("batch not between", value1, value2, "batch");
            return (Criteria) this;
        }

        public Criteria andBatchSortIsNull() {
            addCriterion("batch_sort is null");
            return (Criteria) this;
        }

        public Criteria andBatchSortIsNotNull() {
            addCriterion("batch_sort is not null");
            return (Criteria) this;
        }

        public Criteria andBatchSortEqualTo(Integer value) {
            addCriterion("batch_sort =", value, "batchSort");
            return (Criteria) this;
        }

        public Criteria andBatchSortNotEqualTo(Integer value) {
            addCriterion("batch_sort <>", value, "batchSort");
            return (Criteria) this;
        }

        public Criteria andBatchSortGreaterThan(Integer value) {
            addCriterion("batch_sort >", value, "batchSort");
            return (Criteria) this;
        }

        public Criteria andBatchSortGreaterThanOrEqualTo(Integer value) {
            addCriterion("batch_sort >=", value, "batchSort");
            return (Criteria) this;
        }

        public Criteria andBatchSortLessThan(Integer value) {
            addCriterion("batch_sort <", value, "batchSort");
            return (Criteria) this;
        }

        public Criteria andBatchSortLessThanOrEqualTo(Integer value) {
            addCriterion("batch_sort <=", value, "batchSort");
            return (Criteria) this;
        }

        public Criteria andBatchSortIn(List<Integer> values) {
            addCriterion("batch_sort in", values, "batchSort");
            return (Criteria) this;
        }

        public Criteria andBatchSortNotIn(List<Integer> values) {
            addCriterion("batch_sort not in", values, "batchSort");
            return (Criteria) this;
        }

        public Criteria andBatchSortBetween(Integer value1, Integer value2) {
            addCriterion("batch_sort between", value1, value2, "batchSort");
            return (Criteria) this;
        }

        public Criteria andBatchSortNotBetween(Integer value1, Integer value2) {
            addCriterion("batch_sort not between", value1, value2, "batchSort");
            return (Criteria) this;
        }

        public Criteria andStrategyDtIsNull() {
            addCriterion("strategy_dt is null");
            return (Criteria) this;
        }

        public Criteria andStrategyDtIsNotNull() {
            addCriterion("strategy_dt is not null");
            return (Criteria) this;
        }

        public Criteria andStrategyDtEqualTo(String value) {
            addCriterion("strategy_dt =", value, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtNotEqualTo(String value) {
            addCriterion("strategy_dt <>", value, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtGreaterThan(String value) {
            addCriterion("strategy_dt >", value, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtGreaterThanOrEqualTo(String value) {
            addCriterion("strategy_dt >=", value, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtLessThan(String value) {
            addCriterion("strategy_dt <", value, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtLessThanOrEqualTo(String value) {
            addCriterion("strategy_dt <=", value, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtLike(String value) {
            addCriterion("strategy_dt like", value, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtNotLike(String value) {
            addCriterion("strategy_dt not like", value, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtIn(List<String> values) {
            addCriterion("strategy_dt in", values, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtNotIn(List<String> values) {
            addCriterion("strategy_dt not in", values, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtBetween(String value1, String value2) {
            addCriterion("strategy_dt between", value1, value2, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andStrategyDtNotBetween(String value1, String value2) {
            addCriterion("strategy_dt not between", value1, value2, "strategyDt");
            return (Criteria) this;
        }

        public Criteria andGhIdIsNull() {
            addCriterion("gh_id is null");
            return (Criteria) this;
        }

        public Criteria andGhIdIsNotNull() {
            addCriterion("gh_id is not null");
            return (Criteria) this;
        }

        public Criteria andGhIdEqualTo(String value) {
            addCriterion("gh_id =", value, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdNotEqualTo(String value) {
            addCriterion("gh_id <>", value, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdGreaterThan(String value) {
            addCriterion("gh_id >", value, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdGreaterThanOrEqualTo(String value) {
            addCriterion("gh_id >=", value, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdLessThan(String value) {
            addCriterion("gh_id <", value, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdLessThanOrEqualTo(String value) {
            addCriterion("gh_id <=", value, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdLike(String value) {
            addCriterion("gh_id like", value, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdNotLike(String value) {
            addCriterion("gh_id not like", value, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdIn(List<String> values) {
            addCriterion("gh_id in", values, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdNotIn(List<String> values) {
            addCriterion("gh_id not in", values, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdBetween(String value1, String value2) {
            addCriterion("gh_id between", value1, value2, "ghId");
            return (Criteria) this;
        }

        public Criteria andGhIdNotBetween(String value1, String value2) {
            addCriterion("gh_id not between", value1, value2, "ghId");
            return (Criteria) this;
        }

        public Criteria andMsgTypeIsNull() {
            addCriterion("msg_type is null");
            return (Criteria) this;
        }

        public Criteria andMsgTypeIsNotNull() {
            addCriterion("msg_type is not null");
            return (Criteria) this;
        }

        public Criteria andMsgTypeEqualTo(Integer value) {
            addCriterion("msg_type =", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeNotEqualTo(Integer value) {
            addCriterion("msg_type <>", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeGreaterThan(Integer value) {
            addCriterion("msg_type >", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("msg_type >=", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeLessThan(Integer value) {
            addCriterion("msg_type <", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeLessThanOrEqualTo(Integer value) {
            addCriterion("msg_type <=", value, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeIn(List<Integer> values) {
            addCriterion("msg_type in", values, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeNotIn(List<Integer> values) {
            addCriterion("msg_type not in", values, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeBetween(Integer value1, Integer value2) {
            addCriterion("msg_type between", value1, value2, "msgType");
            return (Criteria) this;
        }

        public Criteria andMsgTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("msg_type not between", value1, value2, "msgType");
            return (Criteria) this;
        }

        public Criteria andTitleIsNull() {
            addCriterion("title is null");
            return (Criteria) this;
        }

        public Criteria andTitleIsNotNull() {
            addCriterion("title is not null");
            return (Criteria) this;
        }

        public Criteria andTitleEqualTo(String value) {
            addCriterion("title =", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotEqualTo(String value) {
            addCriterion("title <>", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThan(String value) {
            addCriterion("title >", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThanOrEqualTo(String value) {
            addCriterion("title >=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThan(String value) {
            addCriterion("title <", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThanOrEqualTo(String value) {
            addCriterion("title <=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLike(String value) {
            addCriterion("title like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotLike(String value) {
            addCriterion("title not like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleIn(List<String> values) {
            addCriterion("title in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotIn(List<String> values) {
            addCriterion("title not in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleBetween(String value1, String value2) {
            addCriterion("title between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotBetween(String value1, String value2) {
            addCriterion("title not between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andCoverUrlIsNull() {
            addCriterion("cover_url is null");
            return (Criteria) this;
        }

        public Criteria andCoverUrlIsNotNull() {
            addCriterion("cover_url is not null");
            return (Criteria) this;
        }

        public Criteria andCoverUrlEqualTo(String value) {
            addCriterion("cover_url =", value, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlNotEqualTo(String value) {
            addCriterion("cover_url <>", value, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlGreaterThan(String value) {
            addCriterion("cover_url >", value, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlGreaterThanOrEqualTo(String value) {
            addCriterion("cover_url >=", value, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlLessThan(String value) {
            addCriterion("cover_url <", value, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlLessThanOrEqualTo(String value) {
            addCriterion("cover_url <=", value, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlLike(String value) {
            addCriterion("cover_url like", value, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlNotLike(String value) {
            addCriterion("cover_url not like", value, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlIn(List<String> values) {
            addCriterion("cover_url in", values, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlNotIn(List<String> values) {
            addCriterion("cover_url not in", values, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlBetween(String value1, String value2) {
            addCriterion("cover_url between", value1, value2, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andCoverUrlNotBetween(String value1, String value2) {
            addCriterion("cover_url not between", value1, value2, "coverUrl");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdIsNull() {
            addCriterion("mini_app_id is null");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdIsNotNull() {
            addCriterion("mini_app_id is not null");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdEqualTo(String value) {
            addCriterion("mini_app_id =", value, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdNotEqualTo(String value) {
            addCriterion("mini_app_id <>", value, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdGreaterThan(String value) {
            addCriterion("mini_app_id >", value, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdGreaterThanOrEqualTo(String value) {
            addCriterion("mini_app_id >=", value, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdLessThan(String value) {
            addCriterion("mini_app_id <", value, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdLessThanOrEqualTo(String value) {
            addCriterion("mini_app_id <=", value, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdLike(String value) {
            addCriterion("mini_app_id like", value, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdNotLike(String value) {
            addCriterion("mini_app_id not like", value, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdIn(List<String> values) {
            addCriterion("mini_app_id in", values, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdNotIn(List<String> values) {
            addCriterion("mini_app_id not in", values, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdBetween(String value1, String value2) {
            addCriterion("mini_app_id between", value1, value2, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniAppIdNotBetween(String value1, String value2) {
            addCriterion("mini_app_id not between", value1, value2, "miniAppId");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathIsNull() {
            addCriterion("mini_page_path is null");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathIsNotNull() {
            addCriterion("mini_page_path is not null");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathEqualTo(String value) {
            addCriterion("mini_page_path =", value, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathNotEqualTo(String value) {
            addCriterion("mini_page_path <>", value, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathGreaterThan(String value) {
            addCriterion("mini_page_path >", value, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathGreaterThanOrEqualTo(String value) {
            addCriterion("mini_page_path >=", value, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathLessThan(String value) {
            addCriterion("mini_page_path <", value, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathLessThanOrEqualTo(String value) {
            addCriterion("mini_page_path <=", value, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathLike(String value) {
            addCriterion("mini_page_path like", value, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathNotLike(String value) {
            addCriterion("mini_page_path not like", value, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathIn(List<String> values) {
            addCriterion("mini_page_path in", values, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathNotIn(List<String> values) {
            addCriterion("mini_page_path not in", values, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathBetween(String value1, String value2) {
            addCriterion("mini_page_path between", value1, value2, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniPagePathNotBetween(String value1, String value2) {
            addCriterion("mini_page_path not between", value1, value2, "miniPagePath");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdIsNull() {
            addCriterion("mini_video_id is null");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdIsNotNull() {
            addCriterion("mini_video_id is not null");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdEqualTo(Long value) {
            addCriterion("mini_video_id =", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdNotEqualTo(Long value) {
            addCriterion("mini_video_id <>", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdGreaterThan(Long value) {
            addCriterion("mini_video_id >", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mini_video_id >=", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdLessThan(Long value) {
            addCriterion("mini_video_id <", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdLessThanOrEqualTo(Long value) {
            addCriterion("mini_video_id <=", value, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdIn(List<Long> values) {
            addCriterion("mini_video_id in", values, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdNotIn(List<Long> values) {
            addCriterion("mini_video_id not in", values, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdBetween(Long value1, Long value2) {
            addCriterion("mini_video_id between", value1, value2, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andMiniVideoIdNotBetween(Long value1, Long value2) {
            addCriterion("mini_video_id not between", value1, value2, "miniVideoId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdIsNull() {
            addCriterion("root_source_id is null");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdIsNotNull() {
            addCriterion("root_source_id is not null");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdEqualTo(String value) {
            addCriterion("root_source_id =", value, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdNotEqualTo(String value) {
            addCriterion("root_source_id <>", value, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdGreaterThan(String value) {
            addCriterion("root_source_id >", value, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdGreaterThanOrEqualTo(String value) {
            addCriterion("root_source_id >=", value, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdLessThan(String value) {
            addCriterion("root_source_id <", value, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdLessThanOrEqualTo(String value) {
            addCriterion("root_source_id <=", value, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdLike(String value) {
            addCriterion("root_source_id like", value, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdNotLike(String value) {
            addCriterion("root_source_id not like", value, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdIn(List<String> values) {
            addCriterion("root_source_id in", values, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdNotIn(List<String> values) {
            addCriterion("root_source_id not in", values, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdBetween(String value1, String value2) {
            addCriterion("root_source_id between", value1, value2, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andRootSourceIdNotBetween(String value1, String value2) {
            addCriterion("root_source_id not between", value1, value2, "rootSourceId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdIsNull() {
            addCriterion("page_path_url_id is null");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdIsNotNull() {
            addCriterion("page_path_url_id is not null");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdEqualTo(Long value) {
            addCriterion("page_path_url_id =", value, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdNotEqualTo(Long value) {
            addCriterion("page_path_url_id <>", value, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdGreaterThan(Long value) {
            addCriterion("page_path_url_id >", value, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdGreaterThanOrEqualTo(Long value) {
            addCriterion("page_path_url_id >=", value, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdLessThan(Long value) {
            addCriterion("page_path_url_id <", value, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdLessThanOrEqualTo(Long value) {
            addCriterion("page_path_url_id <=", value, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdIn(List<Long> values) {
            addCriterion("page_path_url_id in", values, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdNotIn(List<Long> values) {
            addCriterion("page_path_url_id not in", values, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdBetween(Long value1, Long value2) {
            addCriterion("page_path_url_id between", value1, value2, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andPagePathUrlIdNotBetween(Long value1, Long value2) {
            addCriterion("page_path_url_id not between", value1, value2, "pagePathUrlId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdIsNull() {
            addCriterion("news_publish_content_id is null");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdIsNotNull() {
            addCriterion("news_publish_content_id is not null");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdEqualTo(String value) {
            addCriterion("news_publish_content_id =", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdNotEqualTo(String value) {
            addCriterion("news_publish_content_id <>", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdGreaterThan(String value) {
            addCriterion("news_publish_content_id >", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdGreaterThanOrEqualTo(String value) {
            addCriterion("news_publish_content_id >=", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdLessThan(String value) {
            addCriterion("news_publish_content_id <", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdLessThanOrEqualTo(String value) {
            addCriterion("news_publish_content_id <=", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdLike(String value) {
            addCriterion("news_publish_content_id like", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdNotLike(String value) {
            addCriterion("news_publish_content_id not like", value, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdIn(List<String> values) {
            addCriterion("news_publish_content_id in", values, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdNotIn(List<String> values) {
            addCriterion("news_publish_content_id not in", values, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdBetween(String value1, String value2) {
            addCriterion("news_publish_content_id between", value1, value2, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andNewsPublishContentIdNotBetween(String value1, String value2) {
            addCriterion("news_publish_content_id not between", value1, value2, "newsPublishContentId");
            return (Criteria) this;
        }

        public Criteria andPlanIdIsNull() {
            addCriterion("plan_id is null");
            return (Criteria) this;
        }

        public Criteria andPlanIdIsNotNull() {
            addCriterion("plan_id is not null");
            return (Criteria) this;
        }

        public Criteria andPlanIdEqualTo(String value) {
            addCriterion("plan_id =", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotEqualTo(String value) {
            addCriterion("plan_id <>", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdGreaterThan(String value) {
            addCriterion("plan_id >", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdGreaterThanOrEqualTo(String value) {
            addCriterion("plan_id >=", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdLessThan(String value) {
            addCriterion("plan_id <", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdLessThanOrEqualTo(String value) {
            addCriterion("plan_id <=", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdLike(String value) {
            addCriterion("plan_id like", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotLike(String value) {
            addCriterion("plan_id not like", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdIn(List<String> values) {
            addCriterion("plan_id in", values, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotIn(List<String> values) {
            addCriterion("plan_id not in", values, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdBetween(String value1, String value2) {
            addCriterion("plan_id between", value1, value2, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotBetween(String value1, String value2) {
            addCriterion("plan_id not between", value1, value2, "planId");
            return (Criteria) this;
        }

        public Criteria andIsDeleteIsNull() {
            addCriterion("is_delete is null");
            return (Criteria) this;
        }

        public Criteria andIsDeleteIsNotNull() {
            addCriterion("is_delete is not null");
            return (Criteria) this;
        }

        public Criteria andIsDeleteEqualTo(Integer value) {
            addCriterion("is_delete =", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteNotEqualTo(Integer value) {
            addCriterion("is_delete <>", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteGreaterThan(Integer value) {
            addCriterion("is_delete >", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_delete >=", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteLessThan(Integer value) {
            addCriterion("is_delete <", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteLessThanOrEqualTo(Integer value) {
            addCriterion("is_delete <=", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteIn(List<Integer> values) {
            addCriterion("is_delete in", values, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteNotIn(List<Integer> values) {
            addCriterion("is_delete not in", values, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteBetween(Integer value1, Integer value2) {
            addCriterion("is_delete between", value1, value2, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteNotBetween(Integer value1, Integer value2) {
            addCriterion("is_delete not between", value1, value2, "isDelete");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}